package com.xzzn.ems.mapper;

import java.util.Date;
import java.util.List;
import com.xzzn.ems.domain.EmsBatteryStack;
import com.xzzn.ems.domain.vo.StackAveTempVo;
import org.apache.ibatis.annotations.Param;

/**
 * 电池堆数据Mapper接口
 *
 * @author xzzn
 * @date 2025-06-23
 */
public interface EmsBatteryStackMapper
{
    /**
     * 查询电池堆数据
     *
     * @param id 电池堆数据主键
     * @return 电池堆数据
     */
    public EmsBatteryStack selectEmsBatteryStackById(Long id);

    /**
     * 查询电池堆数据列表
     *
     * @param emsBatteryStack 电池堆数据
     * @return 电池堆数据集合
     */
    public List<EmsBatteryStack> selectEmsBatteryStackList(EmsBatteryStack emsBatteryStack);

    /**
     * 新增电池堆数据
     *
     * @param emsBatteryStack 电池堆数据
     * @return 结果
     */
    public int insertEmsBatteryStack(EmsBatteryStack emsBatteryStack);

    /**
     * 修改电池堆数据
     *
     * @param emsBatteryStack 电池堆数据
     * @return 结果
     */
    public int updateEmsBatteryStack(EmsBatteryStack emsBatteryStack);

    /**
     * 删除电池堆数据
     *
     * @param id 电池堆数据主键
     * @return 结果
     */
    public int deleteEmsBatteryStackById(Long id);

    /**
     * 批量删除电池堆数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsBatteryStackByIds(Long[] ids);

    /**
     * 获取实时运行-堆平均温度
     * @param siteId
     * @param startDate
     * @param endDate
     * @return
     */
    public List<StackAveTempVo> getStackAveTempList(@Param("siteId")String siteId, @Param("startDate") Date startDate, @Param("endDate")Date endDate);
}
